Name:		neverball
Summary:	NeverBall arcade game
Version:	1.1.0
Release:	2mdk
Url:		http://icculus.org/neverball/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-48.png
Source2:	%{name}-32.png
Source3:	%{name}-16.png
Patch0:		neverball_X11_path.patch.bz2
Group:		Games/Arcade
License:	GPL
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL_mixer-devel SDL_image-devel SDL_ttf-devel MesaGLU-devel

%description
Tilt the floor to roll the ball through the obstacle course
before time runs out.
Neverball runs under Linux, Win2K/XP, IRIX
and hopefully everywhere else SDL is supported.
Hardware accellerated OpenGL support with multitexture
(OpenGL 1.2.1 or greater) is required.

%prep
%setup -q
%patch0 -p0

%build
%make CFLAGS="$RPM_OPT_FLAGS -ansi `sdl-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT
install -m755 %{name} -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}.bin
mkdir -p $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
rm -fr data/map-*
cp -a data $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/data/

cat > $RPM_BUILD_ROOT%{_gamesbindir}/%{name} << EOF
#!/bin/sh
cd %{_gamesdatadir}/%{name}
%{_gamesbindir}/%{name}.bin
EOF
chmod +x $RPM_BUILD_ROOT%{_gamesbindir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): command="%{_gamesbindir}/%{name}" icon="%{name}.png" section="Amusement/Arcade" title="Neverball" longtitle="Tilt the floor to roll the ball" needs="x11"
EOF

install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc CHANGES MAPPING README
# do not package TODO to make rpmlint happy (zero size)
%{_gamesbindir}/%{name}*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Fri Feb  6 2004 Olivier Blin <blino@mandrake.org> 1.1.0-2mdk
- don't ship unneeded files (map "source" files)

* Thu Feb 05 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1.0-1mdk
- 1.1.0
- fix buildrequires (lib64..)

* Sun Nov  9 2003  Olivier Blin <oliv.blin@laposte.net> 1.0.0-2mdk
- keep 0.25.11-2mdk fixes (stupid me ...)

* Sun Nov  9 2003  Olivier Blin <oliv.blin@laposte.net> 1.0.0-1mdk
- 1.0.0
- add url in Source0

* Wed Oct 29 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.25.11-2mdk
- compile with $RPM_OPT_FLAGS
- don't list datadir twice in %%files

* Mon Oct 27 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.25.11-1mdk
- 0.25.11
- updated url
- move to %%{_gamesbindir} and %%{_gamesdatadir}

* Thu Oct 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.25.10-1mdk
- 0.25.10

* Wed Oct  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.25.6-1mdk
- new version

* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.25.4-1mdk
- new version

* Mon Sep 1 2003 Olivier Blin <oliv.blin@laposte.net> 0.25.3-1mdk
- Release 0.25.3

* Mon Sep 1 2003 Olivier Blin <oliv.blin@laposte.net> 0.25.1-2mdk
- fix changelog and try to upload it
  (thanks to Charles A Edwards, Gtz Waschk and warly)

* Sat Aug 30 2003 Olivier Blin <oliv.blin@laposte.net> 0.25.1-1mdk
- Release 0.25.1
- Drop patch1 (merged upstream)

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.25.0-2mdk
- fix buildrequires
- add an epoch

* Thu Aug 28 2003 Olivier Blin <oliv.blin@laposte.net> 0.25.0-1mdk
- Release 0.25.0
- Added patch for Radeon cards (patch1)

* Thu Aug 21 2003 Olivier Blin <oliv.blin@laposte.net> 0.21.0-1mdk
- Release 0.21.0
- Regenerate patch0

* Fri Aug 15 2003 Olivier Blin <oliv.blin@laposte.net> 0805a-2mdk
- Added homemade icon
- Added menu entry

* Wed Aug 13 2003 Olivier Blin <oliv.blin@laposte.net> 0805a-1mdk
- Initial release for Mandrake
- Patch to fix wrong X11 library dir
